Bug 70878 - up2date crashes immediately with some options
up2date crashes immediately with some options
Status: CLOSED RAWHIDE
Product: Red Hat Public Beta
Classification: Retired
Component: up2date (Show other bugs)
limbo
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Adrian Likins
Jay Turner
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-08-06 09:45 EDT by Michael Young
Modified: 2015-01-07 18:58 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-08-08 22:34:35 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Michael Young 2002-08-06 09:45:05 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.0.1) Gecko/20020804

Description of problem:
If you run up2date -uf or up2date --show-channels you get the following traceback
creating readOnlyTransaction
Traceback (most recent call last):
  File "/usr/sbin/up2date", line 754, in ?
    main()
  File "/usr/sbin/up2date", line 369, in main
    self.writeEntry(flag[1], flag[2])
NameError: global name 'self' is not defined
This is with up2date-2.9.33-7.x.9

How reproducible:
Always

Steps to Reproduce:
1.up2date -uf
Comment 1 Adrian Likins 2002-08-06 16:22:47 EDT
bug in new commandline option parsing code,
should be fixed in next release (2.9.34 or so)
Comment 2 Michael Young 2002-08-09 05:42:30 EDT
This works again in up2date 2.9.38 from rawhide (with rpm packages 4.1-0.75). I
am closing this bug.

Note You need to log in before you can comment on or make changes to this bug.